Base URL
https://api.knoxapi.comEndpoints
Retrieve a Mandate
GET/v1/mandates/{mandate}
Retrieves a Mandate object.
Path parameters
mandatestringRequired
Query parameters
expandarray of stringsSpecifies which fields in the response should be expanded.
Returns
The mandate object.
GET /v1/mandates/{mandate}
curl https://api.knoxapi.com/v1/mandates/mandate_1Pgc78B7WZ01zgkW9EfgTVki \
-H "Authorization: Bearer $KNOX_SECRET_KEY"const Stripe = require('stripe');
const stripe = new Stripe(process.env.KNOX_SECRET_KEY, {host: 'api.knoxapi.com'});
const mandate = await stripe.mandates.retrieve('mandate_1Pgc78B7WZ01zgkW9EfgTVki');import os
import stripe
client = stripe.StripeClient(
os.environ["KNOX_SECRET_KEY"],
base_addresses={"api": "https://api.knoxapi.com"},
)
mandate = client.v1.mandates.retrieve("mandate_1Pgc78B7WZ01zgkW9EfgTVki")require 'stripe'
Stripe.api_key = ENV['KNOX_SECRET_KEY']
Stripe.api_base = 'https://api.knoxapi.com'
mandate = Stripe::Mandate.retrieve('mandate_1Pgc78B7WZ01zgkW9EfgTVki')Response
{
"customer_acceptance": {
"accepted_at": 123456789,
"online": {
"ip_address": "127.0.0.0",
"user_agent": "device"
},
"type": "online"
},
"id": "mandate_1Pgc78B7WZ01zgkW9EfgTVki",
"livemode": false,
"multi_use": {},
"object": "mandate",
"payment_method": "pm_123456789",
"payment_method_details": {
"sepa_debit": {
"reference": "123456789",
"url": ""
},
"type": "sepa_debit"
},
"status": "active",
"type": "multi_use"
}Operations and schemas come from the pinned Stripe OpenAPI specification (MIT); response examples from its fixtures. Nested object definitions and enums are in the complete specification.